# flopc::MP_stochastic_data Class Reference

`#include <MP_data.hpp>`

Inheritance diagram for flopc::MP_stochastic_data:
[legend]
Collaboration diagram for flopc::MP_stochastic_data:
[legend]

List of all members.

## Public Member Functions
| MP_stochastic_data (const MP_set_base &s1=MP_set::getEmpty(), const MP_set_base &s2=MP_set::getEmpty(), const MP_set_base &s3=MP_set::getEmpty(), const MP_set_base &s4=MP_set::getEmpty(), const MP_set_base &s5=MP_set::getEmpty())
DataRef & | operator() (const MP_index_exp &lcli1=MP_index_exp::getEmpty(), const MP_index_exp &lcli2=MP_index_exp::getEmpty(), const MP_index_exp &lcli3=MP_index_exp::getEmpty(), const MP_index_exp &lcli4=MP_index_exp::getEmpty(), const MP_index_exp &lcli5=MP_index_exp::getEmpty())
| returns a DataRef which refers into the MP_data.

## Detailed Description

Definition at line 186 of file MP_data.hpp.

## Constructor & Destructor Documentation

flopc::MP_stochastic_data::MP_stochastic_data | ( | const MP_set_base & | s1 = `MP_set::getEmpty()`,
|  | const MP_set_base & | s2 = `MP_set::getEmpty()`,
|  | const MP_set_base & | s3 = `MP_set::getEmpty()`,
|  | const MP_set_base & | s4 = `MP_set::getEmpty()`,
|  | const MP_set_base & | s5 = `MP_set::getEmpty()` |
| ) |  |  | `[inline]`

Definition at line 188 of file MP_data.hpp.

## Member Function Documentation

DataRef& flopc::MP_stochastic_data::operator() | ( | const MP_index_exp & | lcli1 = `MP_index_exp::getEmpty()`,
|  | const MP_index_exp & | lcli2 = `MP_index_exp::getEmpty()`,
|  | const MP_index_exp & | lcli3 = `MP_index_exp::getEmpty()`,
|  | const MP_index_exp & | lcli4 = `MP_index_exp::getEmpty()`,
|  | const MP_index_exp & | lcli5 = `MP_index_exp::getEmpty()` |
| ) |  |  | `[inline]`

returns a DataRef which refers into the MP_data.

Note:
  For internal use.

Todo:
  can this be private?

Reimplemented from flopc::MP_data.

Definition at line 196 of file MP_data.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_data.hpp